#############################################################################
##  
##  PackageInfo.g for the package `zalgs'                      Tobias Moede
##                                                             
SetPackageInfo( rec(
PackageName := "zalgs",
Subtitle := "A nilpotent quotient algorithm for finitely presented associative Z-algebras",
Version := "1.0",
Date := "11/06/2019",
##  <#GAPDoc Label="PKGVERSIONDATA">
##  <!ENTITY VERSION "1.0">
##  <!ENTITY RELEASEDATE "11 June 2019">
##  <#/GAPDoc>

Persons := [
  rec( 
    LastName      := "Moede",
    FirstNames    := "Tobias",
    IsAuthor      := true,
    IsMaintainer  := true,
    Email         := "t.moede@tu-bs.de",
    WWWHome       := "https://www.tu-braunschweig.de/iaa/personal/moede",
    PostalAddress := Concatenation( [
                       "Institute for Analysis and Algebra\n",
                       "Universitaetsplatz 2, 38106 Braunschweig\n",
                       "Germany" ] ),
    Place         := "Braunschweig",
    Institution   := "TU Braunschweig"
  )],


PackageWWWHome := "https://www.tu-braunschweig.de/Medien-DB/iaa/moede/",
Status := "dev",

ArchiveFormats := ".tar.gz",
ArchiveURL     := Concatenation( ~.PackageWWWHome, "zalgs-", ~.Version ),
README_URL     := Concatenation( ~.PackageWWWHome, "README" ),
PackageInfoURL := Concatenation( ~.PackageWWWHome, "PackageInfo.g" ),

AbstractHTML := 
  "Computing nilpotent quotients for finitely presented associative Z-algebras",

PackageDoc := rec(
  BookName  := "zalgs",
  ArchiveURLSubset := ["doc", "htm"],
  HTMLStart := "htm/chapters.htm",
  PDFFile   := "doc/manual.pdf",
  SixFile   := "doc/manual.six",
  LongTitle := "Computing with Z-algebras",
  Autoload  := true
),


Dependencies := rec(
  GAP := ">=4.7",
  NeededOtherPackages := [["Polycyclic", ">=1.0"]], 
  SuggestedOtherPackages := [],
  ExternalConditions := []
),

BannerString := Concatenation( "Loading zalgs ", ~.Version, "... \n"),
AvailabilityTest := ReturnTrue,
Autoload := false,
Keywords := ["Z-algebras", "nilpotent quotient algorithm", "finitely presented algebras"]
));
