#############################################################################
##
#W  zalgs.gd             zalgs package                   Tobias Moede
##
#W Contains declarations.

DeclareInfoClass( "InfoZAlgs" );

#############################################################################
##
#O  PrintPresentationFpZAlgebraNQ( <T> ) . . . . . . . . . . . . . . . . . . . . .
##
##  <#GAPDoc Label="PrintPresentationFpZAlgebraNQ">
##  <ManSection>
##  <Oper Name="BuildInfiniteExtensions" Arg="T"/>
##  
##  <Description>
##  Given a nilpotent quotient table T <A>T</A> of a finitely presented associative
##  <M>Z</M>-algebra, this function prints all non-trivial relations.
##  </Description>
##  </ManSection>
##  <#/GAPDoc>
DeclareOperation( "PrintPresentationFpZAlgebraNQ", [ IsRecord ] );


#############################################################################
##
#O  NilpotentQuotientFpZAlgebra( <A>, <c> ) . . . . . . . . . . . . . . . . . . . . .
##
##  <#GAPDoc Label="NilpotentQuotientFpZAlgebra">
##  <ManSection>
##  <Oper Name="NilpotentQuotientFpZAlgebra" Arg="A, c"/>
##  
##  <Description>
##  Given a finitely presented associative <M>Z</M>-algebra, this function computes the class-<A>c</A>
##  quotient. 
##  </Description>
##  </ManSection>
##  <#/GAPDoc>
DeclareOperation( "NilpotentQuotientFpZAlgebra", [ IsAlgebra, IsInt ] );


#############################################################################
##
#O  AugmentationQuotientFpGroup( <G>, <c>, <print> ) . . . . . . . . . . . . . . . . . . . . .
##
##  <#GAPDoc Label="AugmentationQuotientFpGroup">
##  <ManSection>
##  <Oper Name="AugmentationQuotientFpGroup" Arg="G, c, print"/>
##  
##  <Description>
##  Given a finitely presented group <A>G</A>, this function computes the class-<A>c</A>
##  quotient of the augmentation ideal in the integral group ring <M>Z</M><A>G</A>.
##  If <A>print</A> is set to true, then the augmentation quotients are printed during
##  computation.
##  </Description>
##  </ManSection>
##  <#/GAPDoc>
DeclareOperation( "AugmentationQuotientFpGroup", [ IsFpGroup, IsInt, IsBool ] );


#############################################################################
##
#O  AugmentationQuotientPcpGroup( <G>, <c>, <print> ) . . . . . . . . . . . . . . . . . . . . .
##
##  <#GAPDoc Label="AugmentationQuotientPcpGroup">
##  <ManSection>
##  <Oper Name="AugmentationQuotientPcpGroup" Arg="G, c, print"/>
##  
##  <Description>
##  Given a pcp-group <A>G</A>, this function computes the class-<A>c</A>
##  quotient of the augmentation ideal in the integral group ring <M>Z</M><A>G</A>.
##  If <A>print</A> is set to true, then the augmentation quotients are printed during
##  computation.
##  </Description>
##  </ManSection>
##  <#/GAPDoc>
DeclareOperation( "AugmentationQuotientPcpGroup", [ IsPcpGroup, IsInt, IsBool ] );

